<?
$salesPerson = array();
switch ($this->sales_person['username']) {
    case "carrie":
        $salesPerson['id'] = 191;
        $salesPerson['name'] = 'Carrie';
        $salesPerson['whatsapp'] = '+41767431209';
        $salesPerson['whatsappNum'] = '0041767431209';
        $salesPerson['email'] = 'carrie@escortguide.co.uk';
        break;
    case "jolyne":
        $salesPerson['id'] = 192;
        $salesPerson['name'] = 'Jolyne';
        $salesPerson['whatsapp'] = '+41767704542';
        $salesPerson['whatsappNum'] = '0041767704542';
        $salesPerson['email'] = 'jolyne@escortguide.co.uk';
        break;
    default:
        $salesPerson['id'] = 157;
        $salesPerson['name'] = 'Brandy';
        $salesPerson['whatsapp'] = null;
        $salesPerson['email'] = 'brandy@escortguide.co.uk';
}

$client = Cubix_Api_XmlRpc_Client::getInstance();
$is_online_bu_user = $client->call('Users.getIsOnline', array($salesPerson['id']));

$client = new Cubix_Api_XmlRpc_Client();
$agencyVerifiedPhoneInfo = $client->call('Verification.getAgencyPhoneVerificationDetails',array($this->user->id));
$agencyVerifiedPhone = $agencyVerifiedPhoneInfo[2] ? true : false;
$gotd_queue = $client->call('Agencies.getAgenciesActiveGotdExpiration', array($this->agency->id));
$package_queue = $client->call('Agencies.getActiveEscortsPackages', array($this->agency->id));
if ($package_queue && $package_queue['active'])
{
    $packageDuration = strtotime($package_queue['active']['expiration_date']) - strtotime($package_queue['active']['date_activated']);
    $packageDuration = floor($packageDuration / (60*60*24));
    $has_package = true;
    $dateDiff = strtotime($package_queue['active']['expiration_date']) - time();
    $days = floor($dateDiff / (60*60*24));
}

function getDaysInBetween($start, $end = null) {
    if ( null === $end ) $end = mktime(0, 0, 0, date('m'), date('d'), date('Y'));
    $day = 86400; // Day in seconds
    $format = 'Y-m-d'; // Output format (see PHP date funciton)
    $sTime = /*strtotime(*/$start/*)*/; // Start as time
    $eTime = /*strtotime(*/$end/*)*/; // End as time
    $numDays = round(($eTime - $sTime) / $day);
    $days = array();

    // Return days
    return abs($numDays) /*- 1*/;
}
?>
<? /* Until next Halloween event :)
<? if (!IS_MOBILE_DEVICE): ?>
    <div id="halloween-modal" class="modal ">
        <div class="modal__overlay jsOverlay"></div>
        <div class="modal__container">
            <div class="all">
                <button id="halloween-modal-button" class="ok">
                    <a href="#" data-ajax-url="/private/billing/index/">GOT IT</a>
                </button>
            </div>
        </div>
    </div>
<?else:?>
    <div id="halloween-modal" class="modal ">
        <div class="modal__overlay jsOverlay"></div>
        <div class="modal__container modal-mobile">
            <div class="all">
                <button id="halloween-modal-button" class="ok">
                    <a href="#" data-ajax-url="/private/billing/index/">GOT IT</a>
                </button>
            </div>
        </div>
    </div>
<?endif;?>
<? if ($this->user->user_type != 'member' && !isset($_COOKIE['halloween-offer'])) : setcookie('halloween-offer', 1, strtotime('+12 month'), "/", '.' . Cubix_Application::getById(Cubix_Application::getId())->host); ?>
    <script>
        var halloweenStart = new Date(2021, 9, 30);
        var halloweenEnd = new Date(2021, 10, 1);
        var today = new Date();
        $( document ).ready(function() {
            if (today >= halloweenStart && today <= halloweenEnd){
                $('#halloween-modal').addClass('open');
                $('#halloween-modal').modal('show');
            }
        })
    </script>
<? endif; ?>
 */  ?>
<? if ($agencyVerifiedPhone): ?>
    <div class="to-verify">
        <span>Phone number not verified</span>
        <a class="ml-2 btn btn-primary btn-bulle btn-verify" href="#" data-ajax-url="/private/phone-verification#index">Verify now</a>
    </div>
<? endif; ?>
<div class="row agency-dashboard">
    <div class="col-12">
        <div class="card custom-card agent-custom-card">
            <? if ($salesPerson['name'] == 'Brandy') {
                $is_online_bu_user = '1';
            } ?>
            <div class="agent-custom-header-custom">
                <div class="agent-status">
                    <span class="grey mr-1">Your Agent is:</span> <?= ucfirst($salesPerson['name']) ?>
                    <span class="<?= $is_online_bu_user ? 'bulle-success' : 'bulle-offline'; ?>"><?= $is_online_bu_user ? 'online' : 'offline'; ?> </span>
                </div>
                <div class="agent-email">
                    <i class="ion-ios-email-outline"></i><span><?= $salesPerson['email'] ?></span>
                </div>
            </div>

            <div class="agent-bull-group agent-custom-header-custom">
                <? if ($salesPerson['whatsapp']): ?>
                    <div class="agent-whats-app">
                        <i class="ion-social-whatsapp-outline"></i> <span class="mr-1">WhatsApp:</span><a href="https://wa.me/<?= $salesPerson['whatsappNum'] ?>"><?= $salesPerson['whatsapp'] ?></a>
                    </div>
                <? endif; ?>
                <div class="agent-need-help">
                    <i class="ion-help-buoy"></i> <span class="mr-1">Need Support?</span> <a href="#" data-ajax-url="/private/support#index"> Send a request</a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-12 col-lg-6 ">
        <div class="card custom-card gotd-custom-card">
            <img class="gotd-img" src="img/gotd_icon_desc.png" alt="">
            <div class="card-header gotd-card-header">
                <?if(!$this->has_girl_escort && $this->has_boy_escort):?>
                    <b>Get the Boy of the Day TITLE!</b> <br>
                    Take the spotlight, be where it matters and outshine the competition.
                <?else:?>
                    <b> Get the Girl of the Day TITLE!</b> <br>
                    Take the spotlight, be where it matters and outshine the competition.
                <?endif;?>
            </div>
            <div class="card-block ">
                <div class="bull-group">
                    <p class="bulle"><b>CITY PAGE</b> – get the first spot in your city</p>
                    <?if(!$this->has_girl_escort && $this->has_boy_escort):?>
                        <p class="bulle">Privileged spot above premium ads on Men's page</p>
                    <?else:?>
                        <p class="bulle"><b>HOMEPAGE</b> – go above Premium Ads</p>
                    <?endif;?>
                    <p class="bulle"><b>Girl of the Day label</b> on your photo as a seal of approval</p>
                    <?if(!$this->has_girl_escort && $this->has_boy_escort):?>
                        <p class="bulle"><b>9 £/day</b> for free ads and <b>5 £/day</b> for premium ads</p>
                    <?else:?>
                        <p class="bulle"><b>10 £/day</b> for free ads and <b>5 £/day</b> for premium ads</p>
                    <?endif;?>

                </div>
                <?if (count($gotd_queue)):?>
                    <p class="gotds">You currently have <?=count($gotd_queue)?> active GOTDS:<br>
                        <?foreach ($gotd_queue as $key => $gotd):?>
                            <?= 'ID: '.$gotd['escort_id'].' | '.date('d M Y', strtotime($gotd['activation_date'] )) .' - '. $gotd['city']?><?=($key != count($gotd_queue)-1)?',':'';?>
                        <?endforeach?>
                    </p>
                <?endif;?>
                <div class="button-gotd">
                    <a href="/private#profile/gotd" class="btn btn-primary btn-bulle">BOOK
                        <?if(!$this->has_girl_escort && $this->has_boy_escort):?>
                            BOTD
                        <?else:?>
                            GOTD
                        <?endif;?>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-12 col-lg-6 ">
        <div class="card custom-card premium-custom-card">
            <div class="card-header premium-card-header">
                Premium Ad
            </div>
            <div class="card-block ">
                <div class="bull-group">
                    <p class="bulle">Premium spot in city page and homepage</p>
                    <p class="bulle">Premium label on your photo</p>
                    <p class="bulle">Discount for multiple ads</p>
                    <p class="bulle">Premium ads can buy
                        <?if(!$this->has_girl_escort && $this->has_boy_escort):?>
                            BotD
                        <?else:?>
                            GotD
                        <?endif;?>
                        for half a price</p>
                </div>
                <?/* if ( $package_queue && $package_queue['active'] ): */?><!--
                    <?/*
                    $expires_in = getDaysInBetween(strtotime($package_queue['active']['expiration_date']));
                    */?>
                    <p class="premiums">Your Premium <?/*=$packageDuration*/?> days package will expire in <?/*=$expires_in*/?> days.</p>
                --><?/* endif; */?>
                <div class="button-premium">
                    <?if ($has_package):?>
                        <button data-ajax-url="/private/billing/index/" class="btn btn-primary btn-bulle">EXTEND</button>
                    <?else:?>
                        <button data-ajax-url="/private/billing/index/" class="btn btn-primary btn-bulle">BUY PREMIUM</button>
                    <?endif;?>
                </div>
            </div>
        </div>
    </div>
     <? $website = $this->agency->web;
     if (empty($website) && $_COOKIE['ebookhide'] != 1): ?>
     <div class="col-12 col-lg-6 card-banner">
         <div class="card ">
             <div class="banner-agency banner-escort">
                 <div class="banner-image"></div>
                 <div class="content">
                     <p>Make your own escort site-easy and free! <br>
                         Try escortbook.com!</p>
                     <div class="buttons">
                         <a id="not-interested" class="button-ni banner-button">Not interested :(</a>
                         <a href="https://www.escortbook.com/signup?utm_source=egukPA&utm_medium=egukbanpa&utm_campaign=bannerpauk"
                            class="button-c banner-button">Create your free site ✓</a>
                     </div>
                 </div>
             </div
         </div>
     </div>
 </div>
 <? endif; ?>

  <p class="d-md-none text-center how-to-use">In order to manage your profile, please tap on the avatar in the upper right corner.</p>
 <div class="col-12 col-lg-6 ">
     <div class="card">
         <div class="card-header">
             <i class="fa fa-cart-plus" aria-hidden="true"></i> New feature: pay your ad online!
         </div>
         <div class="card-block ">
             <p class="">Want your ad above other ads in homepage or in your city? Then try our new Self checkout and pay for your upgrade fast and easy directly from your account! Just click on the button below:</p>
             <div id="govazd" class="container mb-3">
                 <div class="d-flex">
                     <button data-ajax-url="/private/billing/index/" class="btn m-auto btn-success rounded" type="button" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">UPGRADE NOW</button></div>
             </div>
         </div>
     </div>
 </div>

  <div class="col-sm-12 col-md-6 status-message-block">
  <div class="card">
    <div class="card-header">
     <i class="fa fa-comment-o" aria-hidden="true"></i> Status message
   </div>
   <div class="card-block instant-live-messages-block">
    <p>
<!--        Share your todays mood, thoughts, feeling or wishes with the community! Just enter anything personal into the instant message box below - it will immediately show on your sedcard and througout the site and brings you much more attention!-->
        <?= __('share_mood')?>
    </p>

    <form id="instant-live-messages" action="">

      <div class="form-group">
        <label for="agency_escorts">Select Escort</label>
        <select id="agency_escorts" name="agency_escorts" class="form-control">
          <option value="0">---</option>
          <? if ( count($this->escorts) ): ?>
            <? foreach( $this->escorts as $escort ): ?>
              <? if( $escort['gender'] == GENDER_MALE ): ?>
                <? continue; ?>
              <? endif; ?>
              <option value="<?= $escort['id'] ?>"><?= $escort['showname'] ?></option>
            <? endforeach; ?>
          <? endif; ?>
        </select>
      </div>

      <div class="form-group">
        <div class="input-group">
          <span class="input-group-addon d-none d-md-block"><i class="fa fa-commenting-o" aria-hidden="true"></i></span>
          <input required="" type="text" name="text" id="bubble-text" class="form-control">
        </div>
      </div>
      <div class="d-flex">
        <button type="submit" class="btn btn-primary  ml-auto rounded">Share</button>
      </div>
    </form>

    <div id="instant-live-messages-alerts" class="mt-2 alert alert-warning d-none" role="alert">
      <strong>Notice:</strong> You are allowed to change your bubble text only once per day!
    </div>

    <div id="instant-live-messages-alert-success" class="mt-2 alert alert-success d-none" role="alert">
      Bubble text successfully updated
    </div>

  </div>
</div>
</div>


<? if($has_susp ||  count($this->dash_escorts) ): ?>
    <div class="col-sm-12 col-md-6 notifications-block">
        <div class="card">
          <div class="card-header">
            <i class="fa fa-bell"></i> Notifications 
          </div>
            <div class="card-block ">
              <div class="dashboard-notifications">
                <? if ( count($this->dash_escorts) ): ?>
                  <?= $this->render('index/agency-dashboard.phtml'); ?>
               <? endif; ?>
             </div>
             <?
             $cache = Zend_Registry::get('cache');
             $cache_key =  'v2_agency_susp_escorts_' . $this->agency['id'];
             if ( ! $escorts_a = $cache->load($cache_key) ) {
              $escorts_a = $this->agency->getEscortsPerPage(1, 20, Model_Escorts::ESCORT_STATUS_ACTIVE, true);
              $cache->save($escorts_a, $cache_key, array(), 300);
            }
            ?>

            <? $has_susp = false; ?>
            <? $susp_escorts = array(); ?>
            <? if ( count($escorts_a['escorts']) > 0 ): ?>
             <? $has_susp = true; ?>
             <? foreach( $escorts_a['escorts'] as $escort ): ?>
              <? //if ( $escort['is_suspicious'] == 1 ): ?>
              <? $susp_escorts[] = $escort['showname']; ?>
              <?// endif; ?>
            <? endforeach; ?>
            <? $shownames = implode(', ', $susp_escorts); ?>
          <? endif; ?>

          <? if ( $has_susp ): ?>
           <div class="alert alert-warning" role="alert">
             <?= __('suspicious_internal_text_agency', array('shownames' => $shownames)) ?>
           </div>
         <? endif; ?>
        </div>
      </div>
    </div> 
<? endif; ?>

<div class="col-12 col-lg-6 visits-block">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-line-chart" aria-hidden="true"></i> Top 10 escorts visits
        </div>
        <div class="card-block ">
          <div id="agency-escorts-visit-charts"></div>

          <?
          $escorts_views_arr = json_decode($this->escorts_views);
          if(empty($escorts_views_arr)): ?>
          <div class="alert alert-warning" role="alert"> <p class="mb-0">No data available-please check the status of your escorts.</p></div>
        <? endif; ?>
      </div>
    </div>
  </div>

<div class="col-12 d-md-none quick-links-block ">
  <div class="card">
    <div class="card-header">
      <i class="fa fa-rocket" aria-hidden="true"></i> Quick links
    </div>
    <div class="card-block ">
      <div class="d-flex flex-column">
        <a target="_blank"  class="btn btn-primary btn-lg mb-1 rounded" href="<?= $this->GetLink('advertise') ?>">Premium advertising</a>
        <a data-ajax-url="/private/profile#index" class="btn btn-lg btn-primary mb-1 rounded" href="">Add new model</a>
        <a data-ajax-url="/private/verify#index" class="btn btn-lg btn-primary mb-1 rounded" href="">Verify your photos</a>
      </div>
    </div>
  </div>
</div>

   <!--  <div class="col-sm-12 col-md-5">
        <div class="card">
            <div class="card-header">
                <?= $this->t('news') ?>
                <div class="small text-muted">November 2017 - December 2017</div>
            </div>
            <div class="card-block"><?= __('hh_internal_text') ?>
            </div>
        </div>
      </div> -->
      <!--/.col-->
    <!-- <div class="col-sm-12 col-md-7">
        <div class="card">
            <div class="card-header">
                <i class="fa fa-info-circle" aria-hidden="true"></i>
                Additional information
                <div class="small text-muted"></div>
            </div>
            <div class="card-block">
                <div class="alert alert-warning" role="alert">
                  <?= __('att_photos_count') ?>
                </div>
                
                <? if ( count($this->dash_escorts) ): ?>
                <div class="alert alert-success" role="alert">
                  <?= __('tip_text') ?>
                </div>

              
                <? endif; ?>
                  
           </div>
        </div>
      </div> -->
    </div>

    <script>
      var data = JSON.parse('<?= $this->escorts_views ?>');

      data = data.map(function (value) {
        return [value.showname,+value.count]
      });

      if(data.length > 0){
        Highcharts.chart('agency-escorts-visit-charts', {
          title: {
            text: 'Your most viewed escorts in the last 7 days'
          },
          chart: {
            type: 'bar'
          },

          colorByPoint: true,
          xAxis: {
            type: 'category',
            labels: {
              rotation: -45,
              style: {
                fontSize: '11px',
              }
            }
          },
          yAxis: {
            min: 0,
            title: {
              text: null
            }
          },
          legend: {
            enabled: false
          },
          tooltip: {
            pointFormat: '{point.y}</b>',
            valueSuffix: ' hits'
          },
          series: [{
            name: 'Views',
            data: data,
            dataLabels: {
              enabled: false,
              rotation: -90,
            }
          }]

        });
      }
    </script>